import { Context } from '@actions/github/lib/context';
import { OctokitResponse } from '@octokit/types';
export declare const getContext: (override: {
    [key: string]: any;
}) => Context;
export declare const generateContext: (settings: {
    event?: string;
    action?: string;
    ref?: string;
    sha?: string;
    owner?: string;
    repo?: string;
}, override?: {
    [key: string]: any;
} | undefined) => Context;
declare type CreateResponseFunctionType = <T>(data: T, override?: {
    [key: string]: any;
}) => OctokitResponse<T>;
export declare const createResponse: CreateResponseFunctionType;
export {};
